0

I noted there are some similar questions for my problem on this list, but none of them solve my issue.

So I post it here again:

Hi,

I try to compile LaTeX thesis use the following steps:

$ git clone https://gitlab.kwant-project.org/jbweston/thesis.git thesis.git
$ cd thesis.git
$ make
[...]
! Package mathspec Error: `amsmath' must be loaded earlier than `mathspec'.

See the mathspec package documentation for explanation.
Type  H <return>  for immediate help.
 ...                                             

l.54 \RequirePackage{amsmath}

? No pages of output.
Transcript written on build/thesis.log.
make: *** [Makefile:14: thesis.pdf] Error 1

Any hints for solving this issue?

Regards

6
  • 4
    Welcome to TeX.SX. Load the package earlier than mathspec. – Johannes_B Mar 19 '20 at 4:23
  • 2
    Welcome to TeX.SX! If @Johannes_B's suggestion does not work then please add a minimal working example to show what you are doing: without code that exhibits your problem we have to guess what you are doing. If you just give an error message it is almost impossible to help. A MWE should start with a \documentclass command then contain the smallest amount of code necessary to demonstrate your problem. Cutting your code down to a MWE may well help identify the problem. If not post it here. – user30471 Mar 19 '20 at 5:06
  • 4
    (And a url does not count as a MWE. We need the code here, not elsewhere.) – Teepeemm Mar 19 '20 at 5:34
  • 1
    You almost certainly do not want to load both mathspec and unicode-math. use one or the other – David Carlisle Mar 19 '20 at 7:54
  • Note you should have edited this question rather than post a new one (but it's OK you can simply delete this now) – David Carlisle Mar 19 '20 at 14:04

Browse other questions tagged or ask your own question.